Loading...
Searching...
No Matches
juce::NamedValueSet::NamedValue Struct Reference

## Detailed Description

Structure for a named var object.

The documentation for this struct was generated from the following file:

- juce_core/containers/juce_NamedValueSet.h

## Public Member Functions

| NamedValue () noexcept
| ~NamedValue () noexcept
| NamedValue (const Identifier &name, const var &value)
| NamedValue (const Identifier &name, var &&value) noexcept
| NamedValue (Identifier &&name, var &&value) noexcept
| NamedValue (const NamedValue &)
| NamedValue (NamedValue &&) noexcept
NamedValue & | operator= (NamedValue &&) noexcept
bool | operator== (const NamedValue &) const noexcept
bool | operator!= (const NamedValue &) const noexcept

## Public Attributes

Identifier | name
var | value

## Constructors and Destructors

## NamedValue() [1/6]

juce::NamedValueSet::NamedValue::NamedValue | ( |  | ) |

noexcept

Referenced by NamedValue(), NamedValue(), NamedValue(), NamedValue(), NamedValue(), operator!=(), operator=(), operator==(), and ~NamedValue().

## ~NamedValue()

juce::NamedValueSet::NamedValue::~NamedValue | ( |  | ) |

noexcept

References NamedValue().

## NamedValue() [2/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | const Identifier & | name,
|  | const var & | value )

References name, NamedValue(), and value.

## NamedValue() [3/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | const Identifier & | name,
|  | var && | value )

noexcept

References name, NamedValue(), and value.

## NamedValue() [4/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | Identifier && | name,
|  | var && | value )

noexcept

References name, NamedValue(), and value.

## NamedValue() [5/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | const NamedValue & |  | ) |

References NamedValue().

## NamedValue() [6/6]

juce::NamedValueSet::NamedValue::NamedValue | ( | NamedValue && |  | ) |

noexcept

References NamedValue().

## Member Functions

## operator=()

NamedValue & juce::NamedValueSet::NamedValue::operator= | ( | NamedValue && |  | ) |

noexcept

References NamedValue().

## operator==()

bool juce::NamedValueSet::NamedValue::operator== | ( | const NamedValue & |  | ) | const

noexcept

References NamedValue().

## operator!=()

bool juce::NamedValueSet::NamedValue::operator!= | ( | const NamedValue & |  | ) | const

noexcept

References NamedValue().

## Member Data Documentation

## name

Identifier juce::NamedValueSet::NamedValue::name

Referenced by NamedValue(), NamedValue(), and NamedValue().

## value

var juce::NamedValueSet::NamedValue::value

Referenced by NamedValue(), NamedValue(), and NamedValue().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited